//-------------------------------------------------------------------------
//   Copyright 2002-2024 National Technology & Engineering Solutions of
//   Sandia, LLC (NTESS).  Under the terms of Contract DE-NA0003525 with
//   NTESS, the U.S. Government retains certain rights in this software.
//
//   This file is part of the Xyce(TM) Parallel Electrical Simulator.
//
//   Xyce(TM) is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   Xyce(TM) is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with Xyce(TM).
//   If not, see <http://www.gnu.org/licenses/>.
//-------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//
// Purpose        : AC analysis class
//
// Special Notes  : Specify any "hidden" or subtle details of the class here.
//                  Portability details, error handling information, etc.
//
// Creator        : Ting Mei   
//
// Creation Date  : 01/11
//
//
//-----------------------------------------------------------------------------

#ifndef Xyce_N_LAS_fwd_h
#define Xyce_N_LAS_fwd_h

namespace Xyce {
namespace Linear {

class BlockMatrix;
class BlockVector;
class BlockMultiVector;
class Builder;
class ESBuilder;
class ESBuilder2;
class ESSolverFactory;
class PCEBuilder;
class PCESolverFactory;
class HBBuilder;
class HBSolverFactory;
class HBPrecondFactory;
class FilteredMatrix;
class FilteredMultiVector;
class Matrix;
class MultiVector;
class SolverFactory;
class PrecondFactory;
class Preconditioner;
class Problem;
class Solver;
class System;
struct Transform;
class Vector;
class QueryUtil;
class Operator;
class Graph;
class Importer;

static const int iterativeMin = 10000;

} // namespace Linear
} // namespace Xyce

#endif // Xyce_N_LAS_fwd_h
